package com.qmth.themis.business.bean.admin;

import com.fasterxml.jackson.databind.annotation.JsonSerialize;
import com.fasterxml.jackson.databind.ser.std.ToStringSerializer;
import io.swagger.annotations.ApiModelProperty;

import java.io.Serializable;
import java.util.Set;

/**
 * @Description: 考试列表集合
 * @Param:
 * @return:
 * @Author: wangliang
 * @Date: 2023/10/27
 */
public class ExamListBean implements Serializable {

    @ApiModelProperty(name = "考试场次id")
    @JsonSerialize(using = ToStringSerializer.class)
    private Long examActivityId;

    @ApiModelProperty(name = "考场编码集合")
    @JsonSerialize(using = ToStringSerializer.class)
    private Set<String> roomCodeSet;

    public ExamListBean() {

    }

    public ExamListBean(Long examActivityId, Set<String> roomCodeSet) {
        this.examActivityId = examActivityId;
        this.roomCodeSet = roomCodeSet;
    }

    public Long getExamActivityId() {
        return examActivityId;
    }

    public void setExamActivityId(Long examActivityId) {
        this.examActivityId = examActivityId;
    }

    public Set<String> getRoomCodeSet() {
        return roomCodeSet;
    }

    public void setRoomCodeSet(Set<String> roomCodeSet) {
        this.roomCodeSet = roomCodeSet;
    }
}

